﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="utf-8" indent="yes" />

  <xsl:template match="/">
    <xsl:apply-templates select="tour"/>
  </xsl:template>

  <xsl:template match="tour">
    <xsl:variable name="stagew" select="variables/stagewidth" />
    <xsl:variable name="stageh" select="variables/stageheight" />
    <xsl:variable name="headerh" select="variables/headerh" />
    <xsl:variable name="footerh" select="variables/footerh" />
    <xsl:variable name="buffer" select="variables/buffer" />
    <xsl:variable name="dts" select="slidedefaults/dtextsize" />
    <xsl:variable name="dha" select="slidedefaults/dhalign" />
    <xsl:variable name="dva" select="slidedefaults/dvalign" />
    <xsl:variable name="ip" select="../variables/imagedir" />
    <xsl:variable name="tp" select="../variables/tourpath" />

      <div align="center">
      <table border="0" width="90%">
	<xsl:for-each select="slide">
	  <xsl:variable name="ts" select="textsize" />
          
          <xsl:choose>
          <xsl:when test="(template)">

	  <xsl:if test="(template = '1')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
 	    <tr height="{$stageh}">
 	     <td width="25%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td><xsl:text>
</xsl:text>
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;75%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	   </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>



	  <xsl:if test="(template = '2')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
 	    <tr height="{$stageh}"><xsl:text>
</xsl:text>
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;75%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
             <td width="25%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
 	   </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>
          


	  <xsl:if test="(template = '3')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr height="{$stageh}"><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
            <tr height="75%">
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;100%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	    </tr>
            <tr height="25%">
 	     <td width="100%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
            </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>
	  
          
          
          
          <xsl:if test="(template = '4')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr height="{$stageh}"><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
            <tr height="25%">
 	     <td width="100%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
            </tr>
            <tr height="75%">
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;100%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	    </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>




	  <xsl:if test="(template = '5')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
 	    <tr height="{$stageh}">
 	     <td width="50%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td><xsl:text>
</xsl:text>
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;50%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	   </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>
          



	  <xsl:if test="(template = '6')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
 	    <tr height="{$stageh}"><xsl:text>
</xsl:text>
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;50%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
             <td width="50%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
 	   </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>




	  <xsl:if test="(template = '7')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr height="{$stageh}"><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
            <tr height="50%">
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;100%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	    </tr>
            <tr height="50%">
 	     <td width="100%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
            </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>
	  
          
          
          
          <xsl:if test="(template = '8')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr height="{$stageh}"><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
            <tr height="50%">
 	     <td width="100%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
            </tr>
            <tr height="50%">
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;100%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	    </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>

          </xsl:when>
          <xsl:otherwise>
          

          <xsl:if test="(../slidedefaults/dtemplate = '1')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
 	    <tr height="{$stageh}">
 	     <td width="25%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td><xsl:text>
</xsl:text>
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;75%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	   </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>



	  <xsl:if test="(../slidedefaults/dtemplate = '2')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
 	    <tr height="{$stageh}"><xsl:text>
</xsl:text>
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;75%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
             <td width="25%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
 	   </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>
          


	  <xsl:if test="(../slidedefaults/dtemplate = '3')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr height="{$stageh}"><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
            <tr height="75%">
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;100%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	    </tr>
            <tr height="25%">
 	     <td width="100%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
            </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>
	  
          
          
          
          <xsl:if test="(../slidedefaults/dtemplate = '4')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr height="{$stageh}"><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
            <tr height="25%">
 	     <td width="100%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
            </tr>
            <tr height="75%">
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;100%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	    </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>




	  <xsl:if test="(../slidedefaults/dtemplate = '5')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
 	    <tr height="{$stageh}">
 	     <td width="50%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td><xsl:text>
</xsl:text>
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;50%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	   </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>
          



	  <xsl:if test="(../slidedefaults/dtemplate = '6')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
 	    <tr height="{$stageh}"><xsl:text>
</xsl:text>
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;50%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
             <td width="50%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
 	   </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>




	  <xsl:if test="(../slidedefaults/dtemplate = '7')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr height="{$stageh}"><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
            <tr height="50%">
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;100%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	    </tr>
            <tr height="50%">
 	     <td width="100%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
            </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>
	  
          
          
          
          <xsl:if test="(../slidedefaults/dtemplate = '8')">	  
	   <table width="{$stagew}" border="1" height="{$stageh}">
	   <tr height="{$stageh}"><td>
	    <table width="{$stagew}" cellspacing="{$buffer}" border="0" height="{$stageh}">
            <tr height="50%">
 	     <td width="100%" valign="top">
		<xsl:text disable-output-escaping="yes">&lt;font face=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="font">
				<xsl:value-of select="font" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="../slidedefaults/dfont" />
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&quot; size=&quot;</xsl:text>
		<xsl:choose>
			<xsl:when test="textsize">
				<xsl:value-of select="1 + ($ts div 6)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="1 + ($dts div 6)" /> 
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
		   <xsl:when test="(fonttag = 'true') or (fonttag = '1')">
		 	<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:when>
		   <xsl:otherwise>
			<xsl:text disable-output-escaping="yes">&quot; color=&quot;&#35;</xsl:text>
			<xsl:value-of select="../slidedefaults/dtextcolor"/>
			<xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text>
		   </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
		</xsl:if>
		<xsl:value-of select="text/comment()" disable-output-escaping="yes"/>
		<xsl:if test="(textbold = '1') or (textbold = 'true') or (../slidedefaults/dtextbold = 'true') or (../slidedefaults/dtextbold = '1')">
			<xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
		</xsl:if>
		<xsl:if test="(not(fonttag)) or (fonttag = 'false') or (fonttag = '0')">
			<xsl:text disable-output-escaping="yes">&lt;/font&gt;</xsl:text>
		</xsl:if>
  	     </td>
            </tr>
            <tr height="50%">
	     <xsl:text disable-output-escaping="yes">&lt;td width=&quot;100%&quot; align=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(halign)">
			<xsl:if test="(halign = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="(halign = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dhalign) = 'l')">
				<xsl:text disable-output-escaping="yes">left</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dhalign) = 'r')">
				<xsl:text disable-output-escaping="yes">right</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	     </xsl:choose>
	     <xsl:text disable-output-escaping="yes">&quot; valign=&quot;</xsl:text>
	     <xsl:choose>
		<xsl:when test="(valign)">
			<xsl:if test="(valign = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'c')">
				<xsl:text disable-output-escaping="yes">middle</xsl:text>
			</xsl:if>
			<xsl:if test="(valign = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="((../slidedefaults/dvalign) = 't')">
				<xsl:text disable-output-escaping="yes">top</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'c')">
				<xsl:text disable-output-escaping="yes">center</xsl:text>
			</xsl:if>
			<xsl:if test="((../slidedefaults/dvalign) = 'b')">
				<xsl:text disable-output-escaping="yes">bottom</xsl:text>
			</xsl:if>
		</xsl:otherwise>
	    </xsl:choose>
	    <xsl:text disable-output-escaping="yes">&quot;&gt;</xsl:text><xsl:text>
</xsl:text>

	    <xsl:text disable-output-escaping="yes">&lt;img border=&quot;0&quot; src=&quot;</xsl:text>
	    <xsl:value-of select="../variables/tourpath" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
            <xsl:value-of select="../variables/imagedir" />
	    <xsl:text disable-output-escaping="yes">/</xsl:text>
	    <xsl:value-of select="image/file" />
	    <xsl:text disable-output-escaping="yes">&quot; alt=&quot;</xsl:text>
	    <xsl:value-of select="image/alt" />
	    <xsl:text disable-output-escaping="yes">&quot;&gt;
</xsl:text>

             <xsl:text disable-output-escaping="yes">&lt;td&gt;</xsl:text>
 	    </tr>
	   </table>
	   </td></tr>
	   </table>
          </xsl:if>

          </xsl:otherwise>
          </xsl:choose>

	</xsl:for-each>
      </table>
      </div>

  </xsl:template>
</xsl:transform>





